Hooks:PostHook(CopDamage, "init", "SetAllEnemyWithHelmstoNewDecalMesh", function(self, unit)
	-- i don't want to sift through every single .object file in the game to do this so
	if self._head_gear_decal_mesh then
		local mesh_name_idstr = Idstring(self._head_gear_decal_mesh)

		self._unit:decal_surface(mesh_name_idstr):set_mesh_material(mesh_name_idstr, Idstring("helmet"))
	end
	
end)
